Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000809Frama-CPlug-in > slicingpublic2011-04-29 13:082011-10-10 14:14
Reporterpascal 
Assigned ToAnne 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000809: sliced program does not terminate (csmith)
Descriptionsame conditions as 808
TagsNo tags attached.
Attached Filestgz file icon nt.tgz [^] (6,839 bytes) 2011-04-29 13:08

- Relationships

-  Notes
(0001884)
Anne (reporter)
2011-05-13 13:21

Simple example : frama-c -slice-value G toto.c -slice-print

int G;

void main (void) {
  while (1) {
    G = 10;
    goto L;
    while (G) {
L: return;
    }
  }
}

gives :

int G;
void main(void)
{
  while (1) { G = 10; }
  return;
}
(0002067)
Anne (reporter)
2011-07-28 17:00

fixed in rev 14384

- Issue History
Date Modified Username Field Change
2011-04-29 13:08 pascal New Issue
2011-04-29 13:08 pascal Status new => assigned
2011-04-29 13:08 pascal Assigned To => Anne
2011-04-29 13:08 pascal File Added: nt.tgz
2011-05-13 13:21 Anne Note Added: 0001884
2011-07-28 17:00 Anne Note Added: 0002067
2011-07-28 17:00 Anne Status assigned => resolved
2011-07-28 17:00 Anne Resolution open => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker